#ifndef BOARD_H
#define BOARD_H

#include <string>
#include "BoardImage.h"
#include "Display.h"
#include "Rulebook.h"

enum position {	position_nothing, 
				position_board, 
				position_piece, 
				position_selectedPiece};
					
class Coord
{
public:
	Coord(): x(0), y(0){};
	Coord(int xCoord, int yCoord): x(xCoord), y(yCoord){};
	int x, y;
};

class Board
{
public:
	Board (void);
	void DisplayBoard(void);
	void SquareClicked(int squareX, int squareY);
	void Reset(void);
	void LoadImages(std::string filename);
	void SetDisplay(Display *displayIn);
	bool IsGameOver(void) { return rules.IsGameOver(*this); }
	bool IsGameWon(void) { return rules.IsGameWon(*this); }
	
	//can make these from a  friend fixme
	bool IsAnyPieceSelected(void);	
	Coord GetSelectedPiece(void);
	position GetSquare(Coord sqr);
	void SetSquare(Coord sqr, position pos);
	
private:
	BoardImage nothing, piece, selectedPiece, board;
	Display *display;
	position boardState[7][7];
	Rulebook rules;
};


#endif
