#ifndef DISPLAY_H
#define DISPLAY_H

#include "Image.h"

class Display
{
public:
	Display(void):NumSquares(7) {};
	~Display(void);
	void Shutdown(void);
	void UpdateScreen(void);
	void DrawGrid(int row, int col, Image &img);
	void DrawCentered(Image &img);
	void DrawMenu(Image &img);
	void SetWindowSize(int x, int y);
	void SetBoardSize(int x, int y);
	void SetCenter(int x, int y);
	void ConvertPixelToSquare(int x, int y, int &xOut, int &yOut);
	
private:
	SDL_Surface *screen;
	void Draw(int x, int y, SDL_Surface *image );
	int centerX, centerY;  //center of the board (pixels)
	int boardWidth, boardHeight; //size of the board (pixels)
	const int NumSquares; // number of squares on one side of the board
};

#endif

