#include "Image.h"
#include <iostream>
#include "SDL_image.h"

void Image::FreeSurface(void)
{
	if(surface)
		SDL_FreeSurface(surface);
}
	
Image::~Image(void)
{
	FreeSurface();
}

void Image::Load(std::string filename)
{
	FreeSurface();
    surface=IMG_Load(filename.c_str());
    if(!surface)
    {
        std::cout<<"Error loading "<<filename<<": "<<IMG_GetError()<<std::endl;
        return;
    }
}

SDL_Surface * Image::GetSurface(void)
{
	return surface;
}
